"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  default: () => src_default
});
module.exports = __toCommonJS(src_exports);
function formatForGitlab(results) {
  return JSON.stringify(resultsToIssues(results));
}
function resultsToIssues(results) {
  return results.flatMap(
    (file) => file.messages.map((message) => ({
      type: "issue",
      check_name: message.ruleId,
      description: message.message,
      categories: ["Style"],
      severity: message.severity === 2 ? "major" : "minor",
      location: {
        path: file.filePath,
        positions: {
          begin: message.loc.start,
          end: message.loc.end
        }
      }
    }))
  );
}
var src_default = formatForGitlab;
//# sourceMappingURL=index.js.map