// src/index.ts
function formatForGitlab(results) {
  return JSON.stringify(resultsToIssues(results));
}
function resultsToIssues(results) {
  return results.flatMap(
    (file) => file.messages.map((message) => ({
      type: "issue",
      check_name: message.ruleId,
      description: message.message,
      categories: ["Style"],
      severity: message.severity === 2 ? "major" : "minor",
      location: {
        path: file.filePath,
        positions: {
          begin: message.loc.start,
          end: message.loc.end
        }
      }
    }))
  );
}
var src_default = formatForGitlab;
export {
  src_default as default
};
//# sourceMappingURL=index.mjs.map